ArrayAsIterableMatcher (Hamcrest 2.1 API)
Date: 2018-12-21

org.hamcrest.collection

## Class ArrayAsIterableMatcher<E>

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.TypeSafeMatcher<E[]>
    - - org.hamcrest.collection.ArrayAsIterableMatcher<E>

- All Implemented Interfaces:
    Matcher<E[]>, SelfDescribing

      public class ArrayAsIterableMatcher<E>
      extends TypeSafeMatcher<E[]>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TypeSafeDiagnosingMatcher<java.lang.Iterable<? extends E>>` | `iterableMatcher`
    `protected java.util.Collection<Matcher<? super E>>` | `matchers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayAsIterableMatcher(TypeSafeDiagnosingMatcher<java.lang.Iterable<? extends E>> iterableMatcher, java.util.Collection<Matcher<? super E>> matchers, java.lang.String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `describeMismatchSafely(E[] item, Description mismatchDescription)` Subclasses should override this.
    `void` | `describeTo(Description description)` Generates a description of the object.
    `boolean` | `matchesSafely(E[] item)` Subclasses should implement this.

    - ### Methods inherited from class org.hamcrest.TypeSafeMatcher

      `describeMismatch, matches`

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, isNotNull, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### iterableMatcher

          protected final TypeSafeDiagnosingMatcher<java.lang.Iterable<? extends E>> iterableMatcher

    - #### matchers

          protected final java.util.Collection<Matcher<? super E>> matchers

  - ### Constructor Detail

    - #### ArrayAsIterableMatcher

          public ArrayAsIterableMatcher(TypeSafeDiagnosingMatcher<java.lang.Iterable<? extends E>> iterableMatcher,
                                        java.util.Collection<Matcher<? super E>> matchers,
                                        java.lang.String message)

  - ### Method Detail

    - #### matchesSafely

          public boolean matchesSafely(E[] item)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should implement this. The item will already have been checked for the specific type and will never be null.
      Specified by:
        `matchesSafely` in class `TypeSafeMatcher<E[]>`

    - #### describeMismatchSafely

          public void describeMismatchSafely(E[] item,
                                             Description mismatchDescription)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should override this. The item will already have been checked for the specific type and will never be null.
      Overrides:
        `describeMismatchSafely` in class `TypeSafeMatcher<E[]>`

    - #### describeTo

          public void describeTo(Description description)

      Description copied from interface: `SelfDescribing`
      Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `description` - The description to be built or appended to.